Loading...
Searching...
No Matches
GRAM Protocol

GRAM Protocol. More...

## Topics

| Functions
| GRAM Functions.
| GRAM Error codes
| GRAM Error codes.
| GRAM Signals
| GRAM Signals.
| GRAM Job States
| GRAM Job States.

## Detailed Description

GRAM Protocol.

The Globus GRAM Protocol Library implements the GRAM protocol. It is used by the GRAM Client and GRAM Job Manager. It provides the constants used by in the sending and receiving of GRAM messages. It also provides functions to encode GRAM requests and replies, and to send and receive the GRAM queries.

- GRAM Protocol Functions
- Job States
- Signals
- GRAM Errors
- GRAM Protocol Message Format